	PROGRAM EXTRACT
C.begin.doc ************************** begin.doc
C
C .C ;Module name:
C .C ;^&EXTRACT\&
C 	
C .X EXTRACT>defined
c .NF
C Source:EXTRACT.FTN
C Designer           :H.BARTA
C Author             :H.BARTA, E. LAKIA
C Date of last update:05-JUN-85
C Revision level     :2.0
C 	
C .C ;Formal Parameter List
C Receives:
C     
C Returns:
C 	
C Accesses common(s):
C 	
C Accesses file(s):
C 	
C Other modules referenced:
C 	
C .X GETSRC>Referenced
C         GETSRC                Returns the name of the nest source file to scan
C                               or EOF
C 	
C .X SCAN>Referenced
C         SCAN                  Scans the source file whose name is passed to it
C                               and either extracts the documentation section or
C                               lists the file as containing no documentation.
C 	
C .X PRTSTA>Referenced
C         PRTSTA                Prints the statistics (documentation files found/
C                               not found) for this run
C .SK
C .fill
C .SK
C Description:
C .sk    
C 	EXTRACT is a program that is part of the package used to support
C documentation for a structured design. MOD.CMD is used to generate the original
C description and COM.TSK is used to convert this to comments and EXTRACT.TSK
C will extract the document section from the source listing comments. 
C The document section is to be bracketed by the following lines (shown in
C FORTRAN format):
C .NO FILL
C .lm +5
C C.b egin.doc ************************** b egin.doc
C C.e nd.doc ****************************** e nd.doc
C NOTE:  The b egin.doc is spaced so the documenter won't pick this
c	up as another module.
C .lm -5
C .fill
C Any lines between these two will be placed into the
C output file after the first two characters are truncated.
C 	EXTRACT will call GETSRC to obtain source file names to scan.
C These will be passed to SCAN to scan the file.
C When GETSRC returns an EOF in response to a request for the next file name,
C PRTSTA is invoked to print statistics about the run.
C 
C.end.doc ****************************** end.doc
C
C
	CHARACTER*80	FNAME
	LOGICAL*1	EOF
C
C
 1	CALL GETSRC( FNAME, EOF )
C
	IF(EOF) THEN
		CALL PRTSTA
		CALL EXIT
	ENDIF
C
	CALL SCAN( FNAME )
C
	GOTO 1
C
	END
